function dop=dopBehSet(dop)
% dopOSCCI Mark II: dopBehSet ~ 19-11-2010 (last edit)
%
% setup behavioural summary
%
fprintf('%s\n',['Running ',mfilename]);
try
    if dop.def.behFileChk % request to check session file
        if iscell(dop.def.behFileNameLoc)
            fprintf('\t%s\n\t\t%s\n','Checking Behavioural file:',dop.def.behFileNameLoc{1});
        else
            fprintf('\t%s\n\t\t%s\n','Checking Behavioural file:',dop.def.behFileNameLoc);
        end
        
        dop.beh=dopBehChk(dop.def.behFileNameLoc,...
            'fileList',dop.data.fileList,'dataDir',dop.def.dataDir);
        dop.def.behFileChk=dop.beh.okay;
    end
catch err
    %% catch dopOSCCI error
    %
save(dopOSCCIdebug(mfilename));throw(err); 
    %     dopOSCCIcrash(err,dop,mfilename);
end